Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class CommonBaseEventAnyElementImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.CommonBaseEventAnyElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, ICommonBaseEventAnyElement

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class CommonBaseEventAnyElementImpl
extends java.lang.Object
implements ICommonBaseEventAnyElement, java.lang.Cloneable

Author:
  Jason Cornpropst To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Constructor Summary
`protected` | `CommonBaseEventAnyElementImpl()` Deprecated.

Method Summary
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different event instance are equal.
`java.lang.String` | `getElementName()` Deprecated. Method to retrieve the name of the element
`java.lang.String` | `getNameSpace()` Deprecated. This method returns the URI that points to the schema that this any element implements
`java.lang.String` | `getNameSpaceIdentifier()` Deprecated. Method to retrieve the identifier used for the name space
`java.lang.String` | `getXmlAnyElement()` Deprecated. Method to return the any element in XML format This method should return the full element including name space declaration
`void` | `setXmlAnyElement(java.lang.String anyElement)` Deprecated. Method to set the XML any element

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonBaseEventAnyElementImpl

    protected CommonBaseEventAnyElementImpl()

  Deprecated.

Method Detail

### getNameSpace

    public java.lang.String getNameSpace()

  Deprecated.
  Description copied from interface: `ICommonBaseEventAnyElement`
  This method returns the URI that points to the schema that this any element implements

  Specified by:
    `getNameSpace` in interface `ICommonBaseEventAnyElement`
  Returns:
    String
  See Also:
    `ICommonBaseEventAnyElement.getNameSpace()`

### getNameSpaceIdentifier

    public java.lang.String getNameSpaceIdentifier()

  Deprecated.
  Description copied from interface: `ICommonBaseEventAnyElement`
  Method to retrieve the identifier used for the name space

  Specified by:
    `getNameSpaceIdentifier` in interface `ICommonBaseEventAnyElement`
  Returns:
    String
  See Also:
    `ICommonBaseEventAnyElement.getNameSpaceIdentifier()`

### getElementName

    public java.lang.String getElementName()

  Deprecated.
  Description copied from interface: `ICommonBaseEventAnyElement`
  Method to retrieve the name of the element

  Specified by:
    `getElementName` in interface `ICommonBaseEventAnyElement`
  Returns:
    String
  See Also:
    `ICommonBaseEventAnyElement.getElementName()`

### getXmlAnyElement

    public java.lang.String getXmlAnyElement()

  Deprecated.
  Description copied from interface: `ICommonBaseEventAnyElement`
  Method to return the any element in XML format This method should return the full element including name space declaration

  Specified by:
    `getXmlAnyElement` in interface `ICommonBaseEventAnyElement`
  Returns:
    String
  See Also:
    `ICommonBaseEventAnyElement.getXmlAnyElement()`

### setXmlAnyElement

    public void setXmlAnyElement(java.lang.String anyElement)
                          throws InvalidXMLAnyElementException

  Deprecated.
  Description copied from interface: `ICommonBaseEventAnyElement`
  Method to set the XML any element

  Specified by:
    `setXmlAnyElement` in interface `ICommonBaseEventAnyElement`
  Throws:
    `InvalidXMLAnyElementException` - If an inavlid element is passed in.
  See Also:
    `ICommonBaseEventAnyElement.setXmlAnyElement(String)`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different event instance are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD